﻿@model IEnumerable<eCommerce.Services.Model.Newsletter>
@{
    ViewBag.Title = "Listado de Newsletters";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Listado de Newsletters</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href='/Newsletter/NewsletterUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVO NEWSLETTER</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_NewsletterList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
        })

        function fDelete(Id)
        {
            $.ajax({
                url: "/Newsletter/NewsletterDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function fDeleteDialog(newsletterId)
        {
            swal({
                title: "Confirma su acción de Eliminar?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fDelete(newsletterId);
                }
            });
        }

        function fSend(Id) {
            $.ajax({
                url: "/Newsletter/NewsletterSend/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR) {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    swal("Enviado!", "", "success");
                }
            });
        }

        function fSendDialog(newsletterId) {
            swal({
                title: "Confirma su acción de Enviar?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo Enviarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fSend(newsletterId);
                }
            });
        }

    </script>

}

